SXACL-USERADD(1)

NAME
sxacl-userclone - clone an existing user

SYNOPSIS
sxacl userclone [OPTIONS] <username> <clonename> sx://[profile@]cluster

DESCRIPTION
sxacl userclone creates a clone of an existing user, which has the same type and privileges but a different authentication key. The clones can be used to access the same account from different devices to eliminate the need of changing the keys on all of them, in case one gets lost or compromised.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-a, --auth-file=FILE
    Store authentication key in a given file (instead of printing it).

-b, --batch-mode
    Disable additional information and only print the authentication key.

--force-key=KEY
    By default, the authentication key is automatically generated for the clone. With this option one can force the use of an old key (obtained with sxacl-usergetkey(1)), when recreating the clone on a new or another cluster. Only a key that was previously generated for the same clonename will be accepted.

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-D, --debug
    Enable debug messages.

EXAMPLES
To create a clone of the user 'joe' run:
sxacl userclone joe joe.mobile sx://admin@cluster

SEE ALSO
sxacl-usernewkey(1), sxacl-usergetkey(1), sxacl-userlist(1), sxacl-userdel(1), sxinit(1)